> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invoices

Retrieves a list of Invoices (all or filtered). This can be used to get a cross-account list of invoices, or for a given [Subscription](Subscriptions) using the “subscription” query parameter (see example).

## HTTP Request

`GET https://api.vindicia.com/invoices`

## Route (URL) Parameters

None.

## Query Parameters

| Parameter | Default | Description | Required |
| - | - | - | - |
| limit | 20 | A limit on the number of objects to be returned, between 1 and 100. | No |
| order | asc | Order the List in Ascending `asc` or Descending `desc` order. |   |
| starting\_after | none | A cursor for use in pagination. starting\_after is an object **id** that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj\_foo, your subsequent call can include starting\_after=obj\_foo in order to fetch the next page of the list. | No |
| ending\_before | none | A cursor for use in pagination. ending\_before is an object **id** that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj\_bar, your subsequent call can include ending\_before=obj\_bar in order to fetch the previous page of the list. | No |
| account | none | Limit the invoice list to a specified account **id** or **vid**. | No |
| subscription | none | Limit the invoice list to a specified subscription **id** or **vid**. | No |
| status | none | Limit the invoice list to a specified status. | No |
| due\_date | none | Limit the invoice list to invoices due on a specified date. | No |
| invoice\_date | none | Limit the invoice list to invoices with a specified invoice\_date | No |
| due\_date\_after | none | Limit the invoice list to invoices due after a specified datetime. | No |
| due\_date\_before | none | Limit the invoice list to invoices due before a specified datetime. | No |
| invoice\_date\_after | none | Limit the invoice list to invoices with an invoice date after a specified datetime. | No |
| invoice\_date\_before | none | Limit the invoice list to invoices with an invoice date before a specified datetime. | No |

## Accepts

None.

## Returns

JSON - A *list* array with a data property that contains an array of up to limit [Invoices](Invoices), starting after the specified starting\_after Invoice (or ending before the specified ending\_before Invoice). Each entry in the array is a full Invoice object. If no more Invoice are available, the resulting array will be empty. This request should never throw an error.

A *list* of [Invoice](Invoices) objects matching the query. Also:

* “total\_count”: Integer count of the number of Invoices in the returned list.

* “url”: The query string provided in the request

* “next”: The route (partial URL) to the next Invoice object (string to select the “next”); included **id** should match that of the last object returned here

* “previous”: The route (partial URL) to the previous Invoice object (string to select the “previous”); included **id** should match that of the first object returned here

## Example Request

```

curl -X GET  \
-u acaff38d462f9430d5cbcbaf:a575771fc679b9de \
"https://api.staging.us-west.vindicia.com/invoices?subscription=sub_1234&limit=10"
```

The above command returns JSON structured like this:

```

{
  "object": "List",
  "data": [
     {
        "object": "Invoice",
        "id": "sub_1234-00000000",
        "invoice_date": "2020-06-16T00:00:00-07:00",
        "due_date": "2020-06-16T00:00:00-07:00",
        "billing_service_period_start": "2020-06-16T00:00:00-07:00",
        "billing_service_period_end": "2020-07-15T23:59:59-07:00",
        "status": "Paid",
        "invoice_currency": "USD",
        "original_invoice_amount": 15,
        "invoice_balance": 0,
        "gross_charges_total": 15,
        "tax_charges_total": 0,
        "credit_total": 0,
        "payments_received_total": 15,
        "invoice_line_items": {...},
        "invoice_tax_items": {...},
        "invoice_payments": {...},
        "account": {...},
        "subscription": {...},
        "billing_sequence": 0,
        "invoice_terms": null,
        "affiliate": null,
        "sub_affiliate": null,
        "metadata": {...}
      },
      {
        "object": "Invoice",
        "id": "sub_1234-00000001",
        "invoice_date": "2020-07-16T00:00:00-07:00",
        "due_date": "2020-07-16T00:00:00-07:00",
        "billing_service_period_start": "2020-07-16T00:00:00-07:00",
        "billing_service_period_end": "2020-08-15T23:59:59-07:00",
        "status": "Due",
        "invoice_currency": "USD",
        "original_invoice_amount": 15,
        "invoice_balance": 15,
        "gross_charges_total": 15,
        "tax_charges_total": 0,
        "credit_total": 0,
        "payments_received_total": 0,
        "invoice_line_items": {...},
        "invoice_tax_items": {...},
        "account": {...},
        "subscription": {...},
        "billing_sequence": 1,
        "invoice_terms": null,
        "affiliate": null,
        "sub_affiliate": null,
        "metadata": {...}
      }
  ],
  "total_count": 2,
  "url": "/invoices?sub_1234",
  "next": "/invoices?subscription=sub_1234&starting_after=sub_1234-00000001",
  "previous": "/invoices?subscription=sub_1234&starting_before=sub_1234-00000000"
}

```

**Parent topic:**[Invoices](../topics/Invoices)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.